// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "Scene1/Shader1Good"
{
	Properties
	{
		[HideInInspector] __dirty( "", Int ) = 1
		_Cutoff( "Mask Clip Value", Float ) = 0.5
		_TextureSample1("Texture Sample 1", 2D) = "white" {}
		_StepReference("StepReference", Float) = 0
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
	}

	SubShader
	{
		Tags{ "RenderType" = "TransparentCutout"  "Queue" = "AlphaTest+0" "IgnoreProjector" = "True" }
		Cull Off
		CGPROGRAM
		#include "UnityShaderVariables.cginc"
		#pragma target 5.0
		#pragma only_renderers d3d11 d3d11_9x 
		#pragma surface surf Standard keepalpha addshadow fullforwardshadows 
		struct Input
		{
			fixed ASEVFace : VFACE;
			float3 worldPos;
			float2 uv_texcoord;
		};

		uniform sampler2D _TextureSample1;
		uniform float _StepReference;
		uniform float _Cutoff = 0.5;

		void surf( Input i , inout SurfaceOutputStandard o )
		{
			float3 switchResult82 = (((i.ASEVFace>0)?(float3(0,0,1)):(float3(0,0,-1))));
			o.Normal = switchResult82;
			o.Albedo = float4(0.7279412,0.7279412,0.7279412,0).rgb;
			o.Alpha = 1;
			float3 ase_vertex3Pos = mul( unity_WorldToObject, float4( i.worldPos , 1 ) );
			float2 panner53 = ( i.uv_texcoord + 1.0 * _Time.y * float2( 0.1,0.1 ));
			clip( step( ( ase_vertex3Pos.y + tex2D( _TextureSample1, panner53 ).g ) , _StepReference ) - _Cutoff );
		}

		ENDCG
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=13111
440;92;1089;650;2215.682;606.9272;2.267595;True;False
Node;AmplifyShaderEditor.TexCoordVertexDataNode;79;-1824,224;Float;False;0;2;0;5;FLOAT2;FLOAT;FLOAT;FLOAT;FLOAT
Node;AmplifyShaderEditor.PannerNode;53;-1600,240;Float;False;3;0;FLOAT2;0,0;False;2;FLOAT2;0.1,0.1;False;1;FLOAT;1.0;False;1;FLOAT2
Node;AmplifyShaderEditor.PosVertexDataNode;58;-1264,80;Float;False;0;0;5;FLOAT3;FLOAT;FLOAT;FLOAT;FLOAT
Node;AmplifyShaderEditor.SamplerNode;57;-1360,256;Float;True;Property;_TextureSample1;Texture Sample 1;1;0;Assets/AmplifyShaderEditor/Examples/Community/ForceShield/ForceShieldPattern.png;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0.0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1.0;False;5;FLOAT4;FLOAT;FLOAT;FLOAT;FLOAT
Node;AmplifyShaderEditor.RangedFloatNode;78;-944,304;Float;False;Property;_StepReference;StepReference;2;0;0;0;0;0;1;FLOAT
Node;AmplifyShaderEditor.SimpleAddOpNode;59;-1008,160;Float;False;2;2;0;FLOAT;0.0;False;1;FLOAT;0.0;False;1;FLOAT
Node;AmplifyShaderEditor.Vector3Node;51;-1008,-192;Float;False;Constant;_Vector1;Vector 1;2;0;0,0,-1;0;4;FLOAT3;FLOAT;FLOAT;FLOAT
Node;AmplifyShaderEditor.Vector3Node;52;-1008,-400;Float;False;Constant;_Vector3;Vector 3;2;0;0,0,1;0;4;FLOAT3;FLOAT;FLOAT;FLOAT
Node;AmplifyShaderEditor.SwitchByFaceNode;82;-752,-304;Float;False;2;0;FLOAT3;0,0,0;False;1;FLOAT3;0.0;False;1;FLOAT3
Node;AmplifyShaderEditor.StepOpNode;70;-768,160;Float;False;2;0;FLOAT;0.0;False;1;FLOAT;2.0;False;1;FLOAT
Node;AmplifyShaderEditor.ColorNode;77;-816,-576;Float;False;Constant;_Color0;Color 0;2;0;0.7279412,0.7279412,0.7279412,0;0;5;COLOR;FLOAT;FLOAT;FLOAT;FLOAT
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;8;-555.767,-341.579;Float;False;True;7;Float;ASEMaterialInspector;0;0;Standard;Scene1/Shader1Good;False;False;False;False;False;False;False;False;False;False;False;False;False;False;True;False;False;Off;0;0;False;0;0;Masked;0.5;True;True;0;False;TransparentCutout;AlphaTest;All;False;True;False;False;False;False;True;False;False;False;False;False;False;True;True;True;True;False;0;255;255;0;0;0;0;False;0;4;10;25;False;0.5;True;0;SrcAlpha;OneMinusSrcAlpha;0;Zero;Zero;Add;Add;0;False;0;0,0,0,0;VertexOffset;False;Cylindrical;False;Relative;0;;0;-1;-1;-1;0;0;0;15;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT;0.0;False;4;FLOAT;0.0;False;5;FLOAT;0.0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0.0;False;9;FLOAT;0.0;False;10;OBJECT;0.0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;53;0;79;0
WireConnection;57;1;53;0
WireConnection;59;0;58;2
WireConnection;59;1;57;2
WireConnection;82;0;52;0
WireConnection;82;1;51;0
WireConnection;70;0;59;0
WireConnection;70;1;78;0
WireConnection;8;0;77;0
WireConnection;8;1;82;0
WireConnection;8;10;70;0
ASEEND*/
//CHKSM=B32191525BF9C78ACA1F55A68E4AA1058A669EE5